
/* =================================================================== */
/*	   		      CANVAS.H                                 */
/* =================================================================== */

#ifndef canvas_h
#define canvas_h 1

#define CC0(n)	((n)<<8)
#define V127(n)	((n)+(127<<8))

/* PRESETS - GM - CC0=hi byte */

#define SCV_Piano1		1
#define SCV_Piano2		2
#define SCV_Piano3		3
#define SCV_HonkyTonk		4
#define SCV_EPiano1		5
#define SCV_DetunedEP1		2053
#define SCV_EPiano2		6
#define SCV_DetunedEP2		2054
#define SCV_Harpsichord		7
#define SCV_Clavichord		8
#define SCV_Celesta		9
#define SCV_Glockenspiel	10
#define SCV_MusicBox		11
#define SCV_Vibraphone		12
#define SCV_Marimba		13
#define SCV_Xylophone		14
#define SCV_TubularBells	15
#define SCV_ChurchBells		2063
#define SCV_Santur		16
#define SCV_Organ1		17
#define SCV_DetunedOrg1		2065
#define SCV_Organ2		18
#define SCV_DetunedOrg2		2066
#define SCV_Organ3		19
#define SCV_ChurchOrgan1	20
#define SCV_ChurchOrgan2	2068
#define SCV_ReedOrgan		21
#define SCV_AccordionFr		22
#define SCV_AccordionIt		2070
#define SCV_Harmonica		23
#define SCV_Bandoneon		24
#define SCV_NylonGtr		25
#define SCV_Ukulele		2073
#define SCV_SteelGtr		26
#define SCV_12StrGtr		2074
#define SCV_Mandolin		4122
#define SCV_JazzGtr		27
#define SCV_HawaiianGtr		2075
#define SCV_CleanGtr		28
#define SCV_ChorusGtr		2076
#define SCV_MutedGtr		29
#define SCV_FunkGtr		2077
#define SCV_OverdriveGtr	30
#define SCV_DistortionGtr	31
#define SCV_FeedbackGtr		2079
#define SCV_GtrHarmonics	32
#define SCV_GtrFeedback		2080
#define SCV_AcousticBass	33
#define SCV_FingeredBass	34
#define SCV_PickedBass		35
#define SCV_FretlessBass	36
#define SCV_SlapBass1		37
#define SCV_SlapBass2		38
#define SCV_SynthBass1		39
#define SCV_SynthBass3		2087
#define SCV_SynthBass2		40
#define SCV_SynthBass4		2088
#define SCV_Violin		41
#define SCV_Viola		42
#define SCV_Cello		43
#define SCV_Contrabass		44
#define SCV_TremoloStr		45
#define SCV_PizzicatoStr	46
#define SCV_Harp		47
#define SCV_Timpani		48
#define SCV_Strings		49
#define SCV_Orchestra		2097
#define SCV_SlowStrings		50
#define SCV_SynStrings1		51
#define SCV_SynStrings3		2099
#define SCV_SynStrings2		52
#define SCV_ChoirAahs		53
#define SCV_VoiceOohs		54
#define SCV_SynVox		55
#define SCV_OrchestraHit	56
#define SCV_Trumpet		57
#define SCV_Trombone		58
#define SCV_Tuba		59
#define SCV_MutedTrumpet	60
#define SCV_FrenchHorn		61
#define SCV_Brass1		62
#define SCV_Brass2		2110
#define SCV_SynthBrass1		63
#define SCV_SynthBrass3		2111
#define SCV_SynthBrass2		64
#define SCV_SynthBrass4		2112
#define SCV_SopranoSax		65
#define SCV_AltoSax		66
#define SCV_TenorSax		67
#define SCV_BaritoneSax		68
#define SCV_Oboe		69
#define SCV_EnglishHorn		70
#define SCV_Bassoon		71
#define SCV_Clarinet		72
#define SCV_Piccolo		73
#define SCV_Flute		74
#define SCV_Recorder		75
#define SCV_PanFlute		76
#define SCV_BottleBlow		77
#define SCV_Shakuhachi		78
#define SCV_Whistle		79
#define SCV_Ocarina		80
#define SCV_SquareWave		81
#define SCV_SineWave		2129
#define SCV_SawWave		82
#define SCV_Calliope		83
#define SCV_ChifferLead		84
#define SCV_Charang		85
#define SCV_SoloVox		86
#define SCV_5thSawWave		87
#define SCV_BassLead		88
#define SCV_Fantasia		89
#define SCV_WarmPad		90
#define SCV_Polysynth		91
#define SCV_SpaceVoice		92
#define SCV_BowedGlass		93
#define SCV_MetalPad		94
#define SCV_HaloPad		95
#define SCV_SweepPad		96
#define SCV_IceRain		97
#define SCV_Soundtrack		98
#define SCV_Crystal		99
#define SCV_Atmosphere		100
#define SCV_Brightness		101
#define SCV_Goblin		102
#define SCV_EchoDrops		103
#define SCV_StarTheme		104
#define SCV_Sitar		105
#define SCV_Banjo		106
#define SCV_Shamisen		107
#define SCV_Koto		108
#define SCV_TaishoKoto		2156
#define SCV_Kalimba		109
#define SCV_BagPipe		110
#define SCV_Fiddle		111
#define SCV_Shanai		112
#define SCV_TinkleBell		113
#define SCV_Agogo		114
#define SCV_SteelDrums		115
#define SCV_Woodblock		116
#define SCV_Castanets		2164
#define SCV_Taiko		117
#define SCV_ConcertBD		2165
#define SCV_MeloTom1		118
#define SCV_MeloTom2		2166
#define SCV_SynthDrum		119
#define SCV_808Tom		2167
#define SCV_ReverseCym		120
#define SCV_GtFretNoise		121
#define SCV_GtCutNoise		377
#define SCV_StringSlap		633
#define SCV_BreathNoise		122
#define SCV_FlKeyClick		378
#define SCV_Seashore		123
#define SCV_Rain		379
#define SCV_Thunder		635
#define SCV_Wind		891
#define SCV_Stream		1147
#define SCV_Bubble		1403
#define SCV_Bird		124
#define SCV_Dog			380
#define SCV_HorseGallop		636
#define SCV_Telephone1		125
#define SCV_Telephone2		381
#define SCV_DoorCreaking	637
#define SCV_Door		893
#define SCV_Scratch		1149
#define SCV_Windchime		1405
#define SCV_Helicopter		126
#define SCV_CarEngine		382
#define SCV_CarStop		638
#define SCV_CarPass		894
#define SCV_CarCrash		1150
#define SCV_Siren		1406
#define SCV_Train		1662
#define SCV_Jetplane		1918
#define SCV_Starship		2174
#define SCV_BurstNoise		2430
#define SCV_Applause		127
#define SCV_Laughing		383
#define SCV_Screaming		639
#define SCV_Punch		895
#define SCV_HeartBeat		1151
#define SCV_Footsteps		1407
#define SCV_GunShot		128
#define SCV_MachineGun		384
#define SCV_Lasergun		640
#define SCV_Explosion		896

#define SCP_Standard		2
#define SCP_Room		9
#define SCP_Electronic		25
#define SCP_TR808		26
#define SCP_Jazz		33
#define SCP_Brush		41
#define SCP_Orchestra		49
#define SCP_SFX			57
#define SCP_CM64_32L		128

#define MT32_AcouPiano1		32513
#define MT32_AcouPiano2		32514
#define MT32_AcouPiano3		32515
#define MT32_ElecPiano1		32516
#define MT32_ElecPiano2		32517
#define MT32_ElecPiano3		32518
#define MT32_ElecPiano4		32519
#define MT32_HonkyTonk		32520
#define MT32_ElecOrg1		32521
#define MT32_ElecOrg2		32522
#define MT32_ElecOrg3		32523
#define MT32_ElecOrg4		32524
#define MT32_PipeOrg1		32525
#define MT32_PipeOrg2		32526
#define MT32_PipeOrg3		32527
#define MT32_Accordion		32528
#define MT32_Harpsi1		32529
#define MT32_Harpsi2		32530
#define MT32_Harpsi3		32531
#define MT32_Clavi1		32532
#define MT32_Clavi2		32533
#define MT32_Clavi3		32534
#define MT32_Celesta1		32535
#define MT32_Celesta2		32536
#define MT32_SynBrass1		32537
#define MT32_SynBrass2		32538
#define MT32_SynBrass3		32539
#define MT32_SynBrass4		32540
#define MT32_SynBass1		32541
#define MT32_SynBass2		32542
#define MT32_SynBass3		32543
#define MT32_SynBass4		32544
#define MT32_Fantasy		32545
#define MT32_HarmoPan		32546
#define MT32_Chorale		32547
#define MT32_Glasses		32548
#define MT32_Soundtrack		32549
#define MT32_Atmosphere		32550
#define MT32_WarmBell		32551
#define MT32_FunnyVox		32552
#define MT32_EchoBell		32553
#define MT32_IceRain		32554
#define MT32_Oboe2001		32555
#define MT32_EchoPan		32556
#define MT32_DoctorSolo		32557
#define MT32_SchoolDaze		32558
#define MT32_Bellsinger		32559
#define MT32_SquareWave		32560
#define MT32_StrSect1		32561
#define MT32_StrSect2		32562
#define MT32_StrSect3		32563
#define MT32_Pizzicato		32564
#define MT32_Violin1		32565
#define MT32_Violin2		32566
#define MT32_Cello1		32567
#define MT32_Cello2		32568
#define MT32_Contrabass		32569
#define MT32_Harp1		32570
#define MT32_Harp2		32571
#define MT32_Guitar1		32572
#define MT32_Guitar2		32573
#define MT32_ElecGtr1		32574
#define MT32_ElecGtr2		32575
#define MT32_Sitar		32576
#define MT32_AcouBass1		32577
#define MT32_AcouBass2		32578
#define MT32_ElecBass1		32579
#define MT32_ElecBass2		32580
#define MT32_SlapBass1		32581
#define MT32_SlapBass2		32582
#define MT32_Fretless1		32583
#define MT32_Fretless2		32584
#define MT32_Flute1		32585
#define MT32_Flute2		32586
#define MT32_Piccolo1		32587
#define MT32_Piccolo2		32588
#define MT32_Recorder		32589
#define MT32_PanPipes		32590
#define MT32_Sax1		32591
#define MT32_Sax2		32592
#define MT32_Sax3		32593
#define MT32_Sax4		32594
#define MT32_Clarinet1		32595
#define MT32_Clarinet2		32596
#define MT32_Oboe		32597
#define MT32_EnglHorn		32598
#define MT32_Bassoon		32599
#define MT32_Harmonica		32600
#define MT32_Trumpet1		32601
#define MT32_Trumpet2		32602
#define MT32_Trombone1		32603
#define MT32_Trombone2		32604
#define MT32_FrHorn1		32605
#define MT32_FrHorn2		32606
#define MT32_Tuba		32607
#define MT32_BrsSect1		32608
#define MT32_BrsSect2		32609
#define MT32_Vibe1		32610
#define MT32_Vibe2		32611
#define MT32_SynMallet		32612
#define MT32_Windbell		32613
#define MT32_Glock		32614
#define MT32_TubeBell		32615
#define MT32_Xylophone		32616
#define MT32_Marimba		32617
#define MT32_Koto		32618
#define MT32_Sho		32619
#define MT32_Shakuhachi		32620
#define MT32_Whistle1		32621
#define MT32_Whistle2		32622
#define MT32_Bottleblow		32623
#define MT32_Breathpipe		32624
#define MT32_Timpani		32625
#define MT32_MelodicTom		32626
#define MT32_DeepSnare		32627
#define MT32_ElecPerc1		32628
#define MT32_ElecPerc2		32629
#define MT32_Taiko		32630
#define MT32_TaikoRim		32631
#define MT32_Cymbal		32632
#define MT32_Castanets		32633
#define MT32_Triangle		32634
#define MT32_OrcheHit		32635
#define MT32_Telephone		32636
#define MT32_BirdTweet		32637
#define MT32_OneNoteJam		32638
#define MT32_WaterBell		32639
#define MT32_JungleTune		32640

/* =================================================================== */

#endif

