
/* =================================================================== */
/*				FM_DEF.H			       */
/*			      (32-bit code)			       */
/* =================================================================== */

#ifndef FM_DEF_H
#define FM_DEF_H 1

#ifdef __GNUC__
typedef	void * CHAN;
#endif

#define NCHANS		VOICES
#define CHANMASK	(VOICES-1)
#define NINSTR		VOICES

/* =================================================================== */

#define	    NOTE_OFF		0x80	/* MIDI voice messages - channel 1 */
#define	    NOTE_ON		0x90
#define	    POLY_AFTERTOUCH	0xA0
#define	    MODE_MESSAGE	0xB0
#define	    PROGRAM_CHANGE	0xC0
#define	    AFTERTOUCH		0xD0
#define	    PITCH_WHEEL		0xE0
#define	    ALL_NOTES_OFF	0x7B	/* channel mode message */

/* =================================================================== */

typedef struct {
  char name[32];
  long	mpu;
  long	chan;
  long	patch;
  long	volume;
  long	flags;
  long	rmin,rmax;		/* range */
 } Instr;

#define I_FLG_VOL	0x0001
#define I_FLG_PRESS	0x0002
#define I_FLG_PERC	0x4000
#define I_FLG_SOLO	0x8000
#define I_FLG_MONO	0x2000

typedef struct {
  unsigned pitch;		/* MIDI key    */
  unsigned intensity;		/* MIDI volume */
  unsigned timbre;		/* bits: 0-3=chan 4=mpu */
  unsigned duration;		/* msec */
  unsigned deltat;		/* msec to next note */
  unsigned startvol;		/* start channel volume, no change if 0 */
  unsigned deltavol;		/* delta channel volume */
  unsigned startpress;		/* start channel press, no change if 0 */
  unsigned deltapress;		/* delta channel press */
  unsigned lock;
  unsigned a,b,c;		/* for debug */
 } NoteEvent;

typedef struct {
  int x,y;
 } Pair;

typedef struct {
  float x,y;
 } Fpair;

#define NEVSIZE		(sizeof(NoteEvent))

/* =================================================================== */

typedef struct {
	float	fp[4];			/*   16 */
	long	ip[4];			/*   16 */
	long	xp[8];			/*   32 */
	Instr	instr[64];		/* 3960 */
	char	Mtempl[128];		/*  128 */
} _paramblk;

/* =================================================================== */

#endif
